<div class="main background_images">
  <div class="row" style="margin-top:50px">
    <div class="row">
      <div class="col s12 white-text text-darken-4 center-align ">
        <img class="responsive-img" src="../assets/img/hookah_logo.png">
      </div>
    </div>
    <div class="row">
        <div class="card_panel_center">
   <div class="col s12 " style="position: relative;">
      <div class="card z-depth-6  grey-text text-darken-4 login_box">
        <div class="card-content">
          <div class="login_border_left_side blue darken-4"></div>
          <div class="card-title blue-text text-center text-darken-4" style="font-size: 30px;"> <i class="fa fa-sign-in" aria-hidden="true"></i> <strong>Login
          </strong>

          <a routerLink="/signup" class="btn-floating btn-large btn_hover_scale waves-effect waves-light blue darken-4 right login_signup_button"><i class="material-icons">supervisor_account</i></a></div>
          <!-- form start -->
          <form class="login-form" [formGroup]="userForm" (ngSubmit)="submitUser()">
           <div class="alert alert-danger" *ngIf="togle"><span class="text-danger">  {{error_msg}} </span> </div>
            <div class="row margin">
              <div class="input-field col s12">
               <i class="material-icons prefix">account_circle</i>
                <input class="validate" id="email" type="email" formControlName="email">
                <label for="email" class="active">Email</label>
                <div *ngIf="userForm.controls['email'].hasError('required') && userForm.controls['email'].touched" class="alert alert-danger"> <span class="text-danger">Please Enter Email</span></div>
                <div *ngIf="userForm.controls.email.errors?.email" class="alert alert-danger"> <span class="text-danger">Invalid email Pattern</span></div>
              </div>
            </div>
            <div class="row margin">
              <div class="input-field col s12">
               <i class="material-icons prefix">lock</i>
                <input id="password" type="password" formControlName="password">
                <label for="password" class="active">Password</label>
                <div *ngIf=" userForm.controls['password'].hasError('required') && userForm.controls['password'].touched" class="alert alert-danger">Please Enter Password</div>
              </div>
            </div>
             <div class="row">
              <div class=" col s12 m12 l12">
                <p class="margin medium-small col s12"><button [disabled]="!userForm.valid || flag" class="waves-effect col s12  waves-light btn-large btn_hover blue darken-4">Login</button></p>
              </div>
              <div class=" col s12 m12 l12 center" style="margin-top:5px;">
                  <p class="margin center medium-small "><a class="forget_password center" routerLink="/forgot">Forgot password?</a></p>
              </div>          
            </div>
          </form>
        </div>
      </div>  <!-- /card -->
    </div>
  </div> 
    </div>
  </div>
</div>
 










